SIS900_AUTO_NEGOTI(9)

NAME
sis900_auto_negotiate - Set the Auto-Negotiation Enable/Reset bit.

SYNOPSIS

void sis900_auto_negotiate (struct net_device * net_dev, int phy_addr);

ARGUMENTS

net_dev
    the net device to read mode for

phy_addr
    mii phy address

DESCRIPTION

If the adapter is link-on, set the auto-negotiate enable/reset bit. autong_complete should be set to 0 when starting auto-negotiation. autong_complete should be set to 1 if we didn't start auto-negotiation. sis900_timer will wait for link on again if autong_complete = 0.

AUTHORS
Ollie Lho, Lei Chun Chang.